<?php
    session_start();
    include('../conexion.php');
    include('../include/sesiones.php');

    $documento = $_POST['documento'];
    $email = $_POST['email'];
    $password1= $_POST['password1'];
    $password2= $_POST['password2'];
    if(strlen($password1) <4  || strlen($password1) > 20)
    {
        echo '
        <div class="alert alert-danger alert-dismissible" role="alert">
             Su contraseña debe contener más de 4 caracteres y menos de 20.
        </div>';
    }
    else
    {
        if($password1 != $password2)
        {
            echo '
            <div class="alert alert-danger alert-dismissible" role="alert">
            Sus contraseñas no coinciden.           
            </div>';
        }
        if($password1==$password2 )
        {
            $sqll=mysqli_query($con,"SELECT * FROM cliente WHERE clie_cc='$documento' and empresa='$emp_id'") or die(mysqli_error($con));
            $roww=mysqli_fetch_array($sqll);
            $clie_cc=$roww['clie_cc'];  
            if($clie_cc == $documento)  
            { 
                echo '
                <div class="alert alert-danger alert-dismissible" role="alert">
                 Usted ya se encuentra registrado, por favor inicie sesión.
                </div>';
            }
            else 
            {  
                $sqll1=mysqli_query($con,"SELECT * FROM cliente WHERE clie_correo='$email' and empresa='$emp_id'") or die(mysqli_error($con));
                $roww1=mysqli_fetch_array($sqll1);
                $clie_correo=$roww1['clie_correo'];  
                if($clie_correo == $email)  
                {   
                     echo '
                    <div class="alert alert-danger alert-dismissible" role="alert">
                    Su correo se encuentra registrado, por favor inicie sesión.
                    </div>';
                }
                else
                {
                    $loal=mysqli_query($con,"SELECT * FROM tarifas WHERE tar_nombre='GENERAL' and empresa='$emp_id'") or die(mysqli_error($con));
                    $sasa= mysqli_fetch_array($loal);
                    $tar_id= $sasa['tar_id']; 

                    $registros1=mysqli_query($con,"INSERT into cliente (clie_cc,clie_correo,clie_clave,tarifas_tar_id,empresa) 
                    VALUES  ('$documento','$email','$password1','$tar_id','$emp_id')") or  die(mysqli_error($con));
                    
                    $sql=mysqli_query($con,"SELECT clie_id FROM cliente WHERE clie_correo='$email' AND clie_clave='$password1' and clie_cc='$documento' and empresa='$emp_id' ") or die(mysqli_error($con));
                    if($row = mysqli_fetch_array($sql)) 
                    { 
                        $_SESSION['clie_id'] = $row["clie_id"];
                        if(isset($_POST['voy']))
                        {   
                            echo '<center><img src="../VICPOS/img/a.gif" style="height:150px"> CARGANDO...</center>';
                            echo '<meta http-equiv="refresh" content="2;url=cart.php?modal=si">';
                        }
                        else if(isset($_POST['art_id']))
                        { 
                            $art_id = $_POST['art_id'];
                            $clie_id=$_SESSION['clie_id'];  

                            $registros2=mysqli_query($con,"INSERT into cotizacion_detalle_deseo (cotd_art_id,clie_id) VALUES  ('$art_id','$clie_id')") 
                            or die(mysqli_error($con));
                            echo 
                                '<div class="fixedContainer">
                                    <center><img src="../img/deseo.png">Se agrego a deseos!</center>
                                 </div>';
                        ?>
                            <script>
                              $(document).ready(function() {
                              setTimeout(function() {
                                  $(".fixedContainer").fadeOut(1000);
                              },1000);
                                });
                            </script>
                            <style>
                              .fixedContainer {
                              background-color:#ffff;
                              position: fixed;
                              padding: 2em;
                              left: 50%;
                              top: 50%;
                              transform: translate(-50%, -50%);
                              z-index: 10000;
                              border-radius: 5px; ;
                                } 
                            </style>
                            <script>window.history.back();</script>
                         <?php  
                        }
                        else if(isset($_POST['voy_deseo']))
                        {
                           echo '<center><img src="../img/a.gif" style="height:100px"> CARGANDO...</center>';
                           echo '<meta http-equiv="refresh" content="2;url=deseos.php">';
                        }
                      else 
                        {
                            echo '<center><img src="../VICPOS/img/a.gif" style="height:150px"> CARGANDO...</center>';
                            echo '<meta http-equiv="refresh" content="2;url=mi_cuenta.php">';
                        } 
                    } 
                }
            }
           
        }
        else
        {
          return true;
        }
    }
?>
     